<template>
  <div>
    <NavBarComp></NavBarComp>
    <h2 class="m-4">
      Alle Teilnehmer
    </h2>
    <div class="container-fluid">
      <!-- <button type="button" class="btn btn-primary m-2">Teilnehmer hinzufügen</button> -->
      <div class="container-fluid teilnehmeradd">
        <teilnehmer-post-form></teilnehmer-post-form>
        <PostTeilnehmer></PostTeilnehmer>
        <input type="text" name="name" id="">
        <input type="text" name="email" id="">
      </div>
      <PostTeilnehmer></PostTeilnehmer>
    </div>
    <ListTable></ListTable>
  </div>
</template>

<script>
import ListTable from './TeilnehmerListTable.vue'
import NavBarComp from './NavBarComp.vue'
import TeilnehmerPostForm from './TeilnehmerPostForm.vue'
import PostTeilnehmer from './PostTeilnehmer.vue'

export default {
  name: 'TeilnehmerSeite',
  components: {
    ListTable,
    NavBarComp,
    TeilnehmerPostForm,
    PostTeilnehmer
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
h3 {
  margin: 40px 0 0;
}

ul {
  list-style-type: none;
  padding: 0;
}

li {
  display: inline-block;
  margin: 0 10px;
}

a {
  color: #42b983;
}

.teilnehmeradd {
  display: none;
}
</style>
